toolzerhub API Docs

Get an organization's season fights (v1)

Returns every fight of an organization in a season, main event first. None returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/mma/organization/season-fights

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

id*integer

Organization id (uniqueTournament.id), such as 19906 for UFC.

Range1 <= value <= 10000000000
season_id*integer

Season id. List seasons with Get Sports Tournament (seasons).

Range1 <= value <= 10000000000
card?string

Part of the fight card: all, maincard, prelims or earlyprelims.

Default"all"

Value in

  • "all"
  • "maincard"
  • "prelims"
  • "earlyprelims"
curl -X GET "https://example.com/v1/sofascore/mma/organization/season-fights?id=19906&season_id=86592" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}